<?php
if ( ! defined( 'ABSPATH' ) ) { exit; }


// 网址
add_action( 'init', 'post_type_sites' );
function post_type_sites() {
	$labels = array(
		'name'               => '网址', 'post type general name', 'your-plugin-textdomain',
		'singular_name'      => '网址', 'post type singular name', 'your-plugin-textdomain',
		'menu_name'          => '网址', 'admin menu', 'your-plugin-textdomain',
		'name_admin_bar'     => '网址', 'add new on admin bar', 'your-plugin-textdomain',
		'add_new'            => '添加网址', 'sites', 'your-plugin-textdomain',
		'add_new_item'       => '添加新网址', 'your-plugin-textdomain',
		'new_item'           => '新网址', 'your-plugin-textdomain',
		'edit_item'          => '编辑网址', 'your-plugin-textdomain',
		'view_item'          => '查看网址', 'your-plugin-textdomain',
		'all_items'          => '所有网址', 'your-plugin-textdomain',
		'search_items'       => '搜索网址', 'your-plugin-textdomain',
		'parent_item_colon'  => 'Parent 网址:', 'your-plugin-textdomain',
		'not_found'          => '你还没有发布网址。', 'your-plugin-textdomain',
		'not_found_in_trash' => '回收站中没有网址。', 'your-plugin-textdomain'
	);

	$args = array(
		'labels'             => $labels,
		'public'             => true,
		'publicly_queryable' => true,
		'show_ui'            => true,
		'show_in_menu'       => true,
		'query_var'          => true,
		'rewrite'            => array( 'slug' => 'sites' ),
		'capability_type'    => 'post',
		'menu_icon'          => 'dashicons-admin-site',
		'has_archive'        => false,
		'hierarchical'       => false,
		'menu_position'      => 10,
		'supports'           => array( 'title',  'author', 'editor', 'comments', 'custom-fields' )//'editor','excerpt',
	);

	register_post_type( 'sites', $args );
}


// 网址分类
add_action( 'init', 'create_sites_taxonomies', 0 );
function create_sites_taxonomies() {
	$labels = array(
		'name'              => '', 'taxonomy general name',
		'singular_name'     => '网址分类', 'taxonomy singular name',
		'search_items'      => '搜索网址目录',
		'all_items'         => '所有网址目录',
		'parent_item'       => '父级分类目录',
		'parent_item_colon' => '父级分类目录:',
		'edit_item'         => '编辑网址目录',
		'update_item'       => '更新网址目录',
		'add_new_item'      => '添加新网址目录',
		'new_item_name'     => 'New Genre Name',
		'menu_name'         => '网址分类',
	);

	$args = array(
		'hierarchical'      => true,
		'labels'            => $labels,
		'show_ui'           => true,
		'show_admin_column' => true,
		'query_var'         => true,
		'rewrite'           => array( 'slug' => 'favorites' ),
	);

	register_taxonomy( 'favorites', array( 'sites' ), $args );
}

// 商品标签
add_action( 'init', 'create_tao_tag_taxonomies', 0 );
function create_tao_tag_taxonomies() {
    $labels = array(
        'name'              => '网址标签', 'taxonomy general name',
        'singular_name'     => '网址标签', 'taxonomy singular name',
        'search_items'      => '搜索网址标签',
        'all_items'         => '所有网址标签',
        'parent_item'       => 'Parent Genre',
        'parent_item_colon' => 'Parent Genre:',
        'edit_item'         => '编辑网址标签',
        'update_item'       => '更新网址标签',
        'add_new_item'      => '添加网址标签',
        'new_item_name'     => 'New Genre Name',
        'menu_name'         => '网址标签',
    );
    $args = array(
        'hierarchical'      => false,
        'labels'            => $labels,
        'show_ui'           => true,
        'show_admin_column' => true,
        'query_var'         => true,
        'rewrite'           => array( 'slug' => 'sitetag' ),
    );
    register_taxonomy( 'sitetag', array( 'sites' ), $args );
}


/**
 * 设置 sites 这种自定义文章类型的固定链接结构为 ID.html 
 * https://www.wpdaxue.com/custom-post-type-permalink-code.html
 */
add_filter('post_type_link', 'custom_sites_link', 1, 3);
function custom_sites_link( $link, $post = 0 ){
    if ( $post->post_type == 'sites' ){
        return home_url( 'sites/' . $post->ID .'.html' );
    } else {
        return $link;
    }
}
add_action( 'init', 'custom_sites_rewrites_init' );
function custom_sites_rewrites_init(){
    add_rewrite_rule(
        'sites/([0-9]+)?.html$',
        'index.php?post_type=sites&p=$matches[1]',
		'top' 
	);
    add_rewrite_rule(
        'sites/([0-9]+)?.html/comment-page-([0-9]{1,})$',
        'index.php?post_type=sites&p=$matches[1]&cpage=$matches[2]',
        'top'
    );
}



//保存和更新数据
add_action('save_post', 'io_save_quick_edit_data');
function io_save_quick_edit_data($post_id) {
    //如果是自动保存日志，并非我们所提交数据，那就不处理
    if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE )
        return $post_id;
    // 验证权限，'sites' 为文章类型，默认为 'post' ,这里为我自定义的文章类型'sites'
    if ( 'sites' == @$_POST['post_type'] ) {
        if ( !current_user_can( 'edit_page', $post_id ) )
            return $post_id;
    } else {
        if ( !current_user_can( 'edit_post', $post_id ) )
        return $post_id;
	}  
	$post = get_post($post_id); 
	// 'ordinal' 与前方代码对应
    if (isset($_POST['ordinal']) && ($post->post_type != 'revision')) {
        $left_menu_id = esc_attr($_POST['ordinal']);
        if ($left_menu_id)
			update_post_meta( $post_id, '_sites_order', $left_menu_id);// ‘_sites_order’为自定义字段
    } 
}

//输出js
add_action('admin_footer', 'ashuwp_quick_edit_javascript');
function ashuwp_quick_edit_javascript() {
	$current_screen = get_current_screen(); 
    if (!is_object($current_screen) || ($current_screen->post_type != 'sites'))return;
	if($current_screen->id == 'edit-sites'){
 	echo"
    <script type='text/javascript'>
    jQuery(function($){
		var wp_inline_edit_function = inlineEditPost.edit;
		inlineEditPost.edit = function( post_id ) {
			wp_inline_edit_function.apply( this, arguments );
			var id = 0;
			if ( typeof( post_id ) == 'object' ) {
				id = parseInt( this.getId( post_id ) );
			}
			if ( id > 0 ) {
				var specific_post_edit_row = $( '#edit-' + id ),
						specific_post_row = $( '#post-' + id ),
						product_price = $( '.column-ordinal', specific_post_row ).text(); 

				$('input[name=\"ordinal\"]', specific_post_edit_row ).val( product_price ); 
			}
		}
	});
    </script>";
	} 
	if($current_screen->id == 'edit-favorites'){
 	echo"
    <script type='text/javascript'>
    jQuery(function($){
		var wp_inline_edit_function = inlineEditTax.edit;
		inlineEditTax.edit = function( post_id ) {
			wp_inline_edit_function.apply( this, arguments );
			var id = 0;
			if ( typeof( post_id ) == 'object' ) {
				id = parseInt( this.getId( post_id ) );
			}
		console.log('调试区'+id);
			if ( id > 0 ) {
				var specific_post_edit_row = $( '#edit-' + id ),
						specific_post_row = $( '#tag-' + id ),
						product_price = $( '.column-ca_ordinal', specific_post_row ).text(); 

				$('input[name=\"ca_ordinal\"]', specific_post_edit_row ).val( product_price ); 
			}
		}
	});
    </script>";
	} 
}

